play.exceptions

## Interface SourceAttachment

- All Known Implementing Classes:
    CacheException, CompilationException, DatabaseException, JavaExecutionException, JPAException, MailException, NoRouteFoundException, PlayExceptionWithJavaSource, TemplateCompilationException, TemplateException, TemplateExecutionException, TemplateNotFoundException, YAMLException

      public interface SourceAttachment

  Exception has source attachment

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getLineNumber()`
    `java.util.List<java.lang.String>` | `getSource()`
    `java.lang.String` | `getSourceFile()`

- - ### Method Detail

    - #### getSourceFile

          java.lang.String getSourceFile()

    - #### getSource

          java.util.List<java.lang.String> getSource()

    - #### getLineNumber

          java.lang.Integer getLineNumber()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly